#-------------------------------------------------
#
# Project created by QtCreator 2010-07-07T10:38:53
#
#-------------------------------------------------

QT       += core gui xml

TARGET = arclight
TEMPLATE = app


SOURCES += main.cpp\
        arcwindow.cpp \
    math/primitives/point3.cpp \
    math/primitives/polygon.cpp \
    io/svgreader.cpp \
    app/defs.cpp \
    app/environment.cpp \
    app/win.cpp \
    io/svgcmd.cpp \
    ui/renderview.cpp \
    ui/renderthread.cpp \
    engine/cell.cpp \
    engine/fx.cpp \
    fx/bevel.cpp \
    math/geo.cpp \
    math/primitives/segment3.cpp \
    fx/light.cpp \
    model/project.cpp \
    fx/chain.cpp \
    model/context.cpp \
    ui/look.cpp \
    math/primitives/plane.cpp \
    collections/recyclelist.cpp \
    math/mathutils.cpp \
    math/report.cpp \
    ui/stripview.cpp \
    ui/chainplug.cpp \
    ui/navigation.cpp \
    engine/fxui.cpp \
    fxui/shapebrowser.cpp \
    fxui/parameditor.cpp \
    engine/fxdefs.cpp \
    engine/arc.cpp \
    arc/sine.cpp \
    engine/arcdefs.cpp \
    ui/renderio.cpp \
    engine/archead.cpp \
    arc/binary.cpp \
    math/primitives/range.cpp \
    engine/arcmod.cpp \
    arc/constant.cpp \
    arc/arcchain.cpp \
    param/paramdefs.cpp \
    param/paramurl.cpp \
    param/paramlist.cpp \
    param/param.cpp \
    engine/engineparam.cpp \
    engine/parent.cpp \
    ui/browserpopup.cpp \
    arc/noise.cpp \
    math/rnd/linearcongruence.cpp \
    engine/fxuidefs.cpp \
    arcui/arcrender.cpp \
    fxui/arcbrowser.cpp \
    engine/fxhead.cpp \
    model/activeproject.cpp \
    fx/glow.cpp \
    collections/recyclearray.cpp \
    engine/colorf.cpp \
    engine/colorsrc.cpp \
    engine/colorsrchead.cpp \
    arc/arcvisitors.cpp \
    compositing/colorsrc1.cpp \
    compositing/colorsrc2.cpp \
    compositing/colorsrclist.cpp \
    fxui/colorbrowser.cpp \
    fxui/colorsrcrender.cpp \
    compositing/mask.cpp \
    arc/arc_source.cpp \
    arc/arc_list.cpp \
    compositing/workmasks.cpp \
    arc/pow.cpp \
    collections/byteset.cpp \
    io/json.cpp \
    engine/fxio.cpp \
    math/cppolygon.cpp \
    experimental/exp_defs.cpp \
    fx/bevel_extrude.cpp \
    engine/celldistance.cpp \
    fx/bevel_cellnormal.cpp \
    fx/bevel_clip.cpp \
    math/tests/lineplane.cpp \
    math/tests/segplane.cpp \
    fx/bevel_mask.cpp \
    collections/managedlist.cpp \
    math/poly/polygonlist.cpp \
    math/poly/bool.cpp \
    math/poly/flatten.cpp \
    math/poly/intersection.cpp \
    math/poly/step.cpp \
    math/poly/steplist.cpp \
    math/tests/segseg.cpp \
    math/poly/build.cpp \
    math/tests/polyisexternal.cpp \
    math/tests/ptline.cpp \
    math/tests/lineiscolinear.cpp \
    math/poly/boolcutout.cpp \
    math/tests/ptseg.cpp \
    math/tests/lineline.cpp \
    io/json_stack.cpp \
    io/json_reader.cpp \
    io/json_parser.cpp \
    io/json_writer.cpp \
    engine/engine_io.cpp \
    ui/settingsplug.cpp \
    ui/sizedialog.cpp \
    fx/shape.cpp \
    ui/rawcontrol.cpp \
    ui/framecontrol.cpp \
    ui/ui_defs.cpp \
    ui/exportdialog.cpp \
    model/exportlist.cpp \
    io/json_copier.cpp \
    math/poly/edge.cpp \
    math/tests/ptinpoly.cpp \
    math/poly/polyfilter.cpp \
    fx/bevel_surface.cpp \
    fx/bevel_edge.cpp \
    fx/bevel_source.cpp \
    fx/bevel_edgebuilder.cpp \
    math/tests/segintersection.cpp \
    math/poly/boolimg.cpp \
    math/tests/pttopoly.cpp \
    math/tests/segpoly.cpp \
    math/primitives/rect.cpp \
    ui/valuepopup.cpp

HEADERS  += arcwindow.h \
    math/primitives/point3.h \
    math/primitives/polygon.h \
    io/svgreader.h \
    app/defs.h \
    app/environment.h \
    app/win.h \
    io/svgcmd.h \
    ui/renderview.h \
    ui/renderthread.h \
    engine/cell.h \
    engine/fx.h \
    fx/bevel.h \
    math/geo.h \
    math/primitives/segment3.h \
    fx/light.h \
    model/project.h \
    fx/chain.h \
    model/context.h \
    ui/look.h \
    math/primitives/plane.h \
    collections/recyclelist.h \
    math/mathutils.h \
    math/report.h \
    ui/stripview.h \
    ui/chainplug.h \
    ui/navigation.h \
    engine/fxui.h \
    fxui/shapebrowser.h \
    fxui/parameditor.h \
    engine/fxdefs.h \
    engine/arc.h \
    arc/sine.h \
    engine/arcdefs.h \
    ui/renderio.h \
    engine/archead.h \
    arc/binary.h \
    math/primitives/range.h \
    engine/arcmod.h \
    arc/constant.h \
    arc/arcchain.h \
    param/paramdefs.h \
    param/paramurl.h \
    param/paramlist.h \
    param/param.h \
    engine/engineparam.h \
    engine/parent.h \
    ui/browserpopup.h \
    arc/noise.h \
    math/rnd/linearcongruence.h \
    engine/fxuidefs.h \
    arcui/arcrender.h \
    fxui/arcbrowser.h \
    engine/fxhead.h \
    model/activeproject.h \
    fx/glow.h \
    collections/recyclearray.h \
    engine/colorf.h \
    engine/colorsrc.h \
    engine/colorsrchead.h \
    arc/arcvisitors.h \
    compositing/colorsrc1.h \
    compositing/colorsrc2.h \
    compositing/colorsrclist.h \
    fxui/colorbrowser.h \
    fxui/colorsrcrender.h \
    compositing/mask.h \
    arc/arc_source.h \
    arc/arc_list.h \
    compositing/workmasks.h \
    arc/pow.h \
    collections/byteset.h \
    io/json.h \
    engine/fxio.h \
    math/cppolygon.h \
    experimental/exp_defs.h \
    fx/bevel_extrude.h \
    engine/celldistance.h \
    fx/bevel_cellnormal.h \
    fx/bevel_clip.h \
    math/tests/lineplane.h \
    math/tests/segplane.h \
    fx/bevel_mask.h \
    collections/managedlist.h \
    math/poly/polygonlist.h \
    math/poly/bool.h \
    math/poly/flatten.h \
    math/poly/intersection.h \
    math/poly/step.h \
    math/poly/steplist.h \
    math/tests/segseg.h \
    math/poly/build.h \
    math/tests/polyisexternal.h \
    math/tests/ptline.h \
    math/tests/lineiscolinear.h \
    math/poly/boolcutout.h \
    math/tests/ptseg.h \
    math/tests/lineline.h \
    io/json_stack.h \
    io/json_reader.h \
    io/json_parser.h \
    io/json_writer.h \
    engine/engine_io.h \
    ui/settingsplug.h \
    ui/sizedialog.h \
    fx/shape.h \
    ui/rawcontrol.h \
    ui/framecontrol.h \
    ui/ui_defs.h \
    ui/exportdialog.h \
    model/exportlist.h \
    io/json_copier.h \
    math/poly/edge.h \
    math/poly/evildoer.h \
    math/tests/ptinpoly.h \
    math/poly/polyfilter.h \
    fx/bevel_surface.h \
    fx/bevel_edge.h \
    fx/bevel_source.h \
    fx/bevel_edgebuilder.h \
    math/tests/segintersection.h \
    math/poly/boolimg.h \
    math/tests/pttopoly.h \
    math/tests/segpoly.h \
    math/primitives/rect.h \
    ui/valuepopup.h

FORMS    += arcwindow.ui
