#include "engine_io.h"

#include "engine/arcdefs.h"

// XXX HACK!  Should have an arc registry
#include "arc/arc_source.h"
#include "arc/arcchain.h"
#include "arc/binary.h"
#include "arc/constant.h"
#include "arc/noise.h"
#include "arc/pow.h"
#include "arc/sine.h"

static const QString	CLR_SZ_S("clr");
const QString&			CLR_SZ = CLR_SZ_S;

/* ARC::READER
 ******************************************************************/
arc::Reader::Reader(Target& t)
	: mT(t)
{
}

void arc::Reader::jsonString(json::Stack& stack, const QString& key, const QString& v)
{
	if (key == arc::ARC_SZ) {
		// XXX HACK!  Should have an arc registry
		// XXX HACK!  Should have class names exposed instead of duplicated
		Arc*					arc = NULL;
		if (v == "source") arc = new arc::Source();
		else if (v == "chain") arc = new arc::Chain();
		else if (v == "binary") arc = new arc::Binary();
		else if (v == "constant") arc = new arc::Constant();
		else if (v == "noise") arc = new arc::Noise();
		else if (v == "pow") arc = new arc::Pow();
		else if (v == "sine") arc = new arc::Sine();
		if (arc != NULL) {
			mT.parseArc(arc);
			stack.push(arc);
		}
	}
}

void arc::Reader::jsonPop()
{
	delete this;
}
