#ifndef POLYFILTER_H
#define POLYFILTER_H

class Polygon;

namespace math {

/* POLY-FILTER
 * A utility for accepting or rejecting polygons.  The base
 * implementation accepts everthing.
 ******************************************************************/
class PolyFilter
{
public:
	PolyFilter();
	virtual ~PolyFilter();

	virtual bool		accept(const Polygon&);
};

} // namespace math

#endif // POLYFILTER_H
