#include "rect.h"

using namespace math;

/* RECT
 ******************************************************************/
Rect::Rect()
	: mL(0)
	, mT(0)
	, mR(-1)
	, mB(-1)
{
}

void Rect::set(const double l, const double t, const double r, const double b)
{
	mL = l;
	mT = t;
	mR = r;
	mB = b;
}

bool Rect::contains(const Point3& pt) const
{
	return pt.x >= mL && pt.x <= mR && pt.y >= mT && pt.y <= mB;
}
