#ifndef RECT_H
#define RECT_H

#include "math/primitives/point3.h"

namespace math {

/* RECT
 * I'd rather not have a custom class for this, but dude, double
 * precision.
 ******************************************************************/
class Rect
{
public:
    Rect();

	double			mL, mT, mR, mB;		// left, top, right, bottom

	void			set(const double l, const double t, const double r, const double b);

	bool			contains(const Point3&) const;
};

} // namespace math

#endif // RECT_H
