#ifndef LOOK_H
#define LOOK_H

#include <QBrush>
#include <QColor>

/* LOOK
 * App-wide UI defines.
 ******************************************************************/
class Look
{
public:
    Look();

	QColor			mDashBgC,		// the dashboard background
					mParamBgC,		// the block displaying a parameter or
									// other manipulable object
					mParamBgToneC,
					mParamFgC,

					mFrameFillC,
					mFrameStrokeC;

	QBrush			mDashBgB,
					mParamBgB,
					mParamBgToneB,
					mParamFgB,

					mAlphaB;

	// METRICS
	int				mPadX, mPadY;
	int				mFh, mFa, mFd;	// font height, ascent, descent

	float			mRound;
};

#endif // LOOK_H
