#include "navigation.h"

Navigation::Navigation(QObject *parent)
	: QObject(parent)
	, mSelectedFx(-1)
{
}

void Navigation::addFx(const QPoint pos)
{
	emit onAddFx(pos);
}

void Navigation::removeFx(const int fxId)
{
	emit onRemoveFx(fxId);
}

void Navigation::selectFx(const int fxId)
{
	mSelectedFx = fxId;
	emit onSelectFx(fxId);
}

void Navigation::command(const QString& cmd)
{
	emit onCommand(cmd);
}

void Navigation::loadProject()
{
	emit onLoadProject();
}

void Navigation::saveProject()
{
	emit onSaveProject();
}

