#ifndef MASK_H
#define MASK_H

#include "collections/recyclearray.h"

/* MASK
 * Manage an array of floats.
 ******************************************************************/
class Mask : public RecycleArray<float>
{
public:
	Mask();
};

/* Misc
 ******************************************************************/

// Optimized functions for initializing buffer data.  Make sure
// the client environment initializes before using.
void init_mask();

void set_to_0(float*, const int size);
void set_to_1(float*, const int size);
void set_to_neg_1(float*, const int size);

#endif // MASK_H
