#include "fxio.h"

#include "engine/fx.h"

using namespace fx;

/* FX::READER
 ******************************************************************/
Reader::Reader(Target& t)
	: mT(t)
{
}

void Reader::jsonString(json::Stack& stack, const QString& key, const QString& v)
{
	if (key == FX_SZ) {
		Fx*			fx = FxFactory::create(v);
		if (fx != NULL) {
			mT.parseFx(fx);
			stack.push(fx);
		}
	}
}

void Reader::jsonPop()
{
	delete this;
}
