#ifndef JSON_COPIER_H
#define JSON_COPIER_H

#include <QBuffer>
#include "io/json.h"
#include "io/json_reader.h"

namespace json {

/* JSON::COPIER
 * Utility for copying json objects.
 ******************************************************************/
class Copier
{
public:
	Copier();
	~Copier();

	bool			from(const json::Writer::Client&);
	bool			to(json::Reader&);

private:
	QBuffer			mBuffer;
};

} // namespace json

#endif // JSON_COPIER_H
