#ifndef JSON_STACK_H
#define JSON_STACK_H

namespace json {
class Reader;

/* JSON::STACK
 * The interface for the object that clients use to control who's
 * currently receiving data during a parse.
 ******************************************************************/
class Stack
{
public:
	virtual ~Stack();

	virtual bool			push(Reader*) = 0;

protected:
	Stack();
};

} // namespace json

#endif // JSON_STACK_H
