#ifndef EVILDOER_H
#define EVILDOER_H

namespace math {
class Edge;

/* EVIL-DOER
 * Determine whether or not an edge is EVIL.
 ******************************************************************/
class EvilDoer
{
public:
	virtual ~EvilDoer()	{ }

	// Reassign the alignment, if necessary.
	virtual void		on(Edge&) = 0;

protected:
	EvilDoer()			{ }
};

} // namespace math

#endif // EVILDOER_H
