#ifndef POLYGONLIST_H
#define POLYGONLIST_H

#include "collections/managedlist.h"
#include "math/primitives/polygon.h"

/* POLYGON-LIST
 * A list of polygons that does not release memory.
 ******************************************************************/
class PolygonList : public ManagedList<Polygon*>
{
public:
	PolygonList();

private:
	typedef ManagedList<Polygon*>		inherited;
};

/* POLYGON-ITERATOR
 ******************************************************************/
typedef ManagedListIterator<Polygon*>	PolygonIterator;

#endif // POLYGONLIST_H
