#ifndef PLANE_H
#define PLANE_H

#include "point3.h"
class Polygon;

/* PLANE
 ******************************************************************/
class Plane
{
public:
    Plane();

	Point3			mPt, mN;

	void			from(const Point3& a, const Point3& b, const Point3& c);
	// Kind of dicey, but the framework requires that polygons be on
	// the same plane.  Not sure if it might be necessary to do some
	// work to pick non-parallel sides, or if point order matters.
	bool			from(const Polygon&);
};

#endif // PLANE_H
