#ifndef PTTOPOLY_H
#define PTTOPOLY_H

#include "math/primitives/polygon.h"
#include "math/tests/ptseg.h"

namespace math {

/* MATH::PT-TO-POLY
 * Distance from point to polygon.
 ******************************************************************/
class PtToPoly
{
public:
    PtToPoly();

	double			on(const Point3&, const Polygon&);
	double			onSquared(const Point3&, const Polygon&);

private:
	PtSeg			mPS;
};

} // namespace math

#endif // PTTOPOLY_H
