#ifndef SIZEDIALOG_H
#define SIZEDIALOG_H

#include <QDialog>
class QLineEdit;

/* SIZE-DIALOG
 * Allow user to set the image dimensions.
 ******************************************************************/
class SizeDialog : public QDialog
{
	Q_OBJECT

public:
	SizeDialog(const QSize& canvasSize, QWidget * parent = 0);

	bool				getSize(QSize&) const;

private:
	QLineEdit*			mWidth;
	QLineEdit*			mHeight;
};

#endif // SIZEDIALOG_H
